/**
 * @copyright 2016 Mumba Pty Ltd. All rights reserved.
 * @license   Apache-2.0
 */
import { DiContainer } from 'dicontainer';
import { WampClient } from 'mumba-wamp';
export declare class MicroserviceWampModule {
    /**
     * Factory to register the WAMP module dependencies in the DI container.
     */
    static register(container: DiContainer): void;
    /**
     * Factory method to initialise the WAMP artifacts.
     */
    static init(wampClient: WampClient, wampOptions: any, logger: any, exit: any): void;
}
